Subject: Re: bug#16828: 24.3.50; eval-expression, character representation of integer results time-consuming

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 25 Feb 2014 09:42:22 +0900

Achim Gratz wrote:
> Eli Zaretskii writes:
>> I don't think the time this takes is spend _looking_ for a font, I
>> think it's spend loading a font.  But someone will have to trace and
>> profile this, and then come up with an analysis.

> Like Stephen I am fairly certain that most of the time is indeed spent
> looking for a suitable font, based on the disk noises that indicate
> seeking through many directories.

Especially on Cygwin, it's very annoying when edebugging.  Displaying
a character for the number of a point or a result of a calculation is
useless.  I use:

(if (eq system-type 'cygwin)
    (defadvice eval-expression-print-format
	(around dont-try-to-convert-char-to-string-when-edebugging
		(value) activate)
      "Don't try to convert char to string when edebugging."
      (if (and (boundp 'edebug-active) (eval 'edebug-active))
	  (if (and (integerp value)
		   (or (eq standard-output t)
		       (zerop (prefix-numeric-value current-prefix-arg))))
	      (format " (#o%o, #x%x)" value value))
	ad-do-it)))